(Untitled)

ODBC Visual FoxPro Setup Dialog Box

The ODBC Visual FoxPro Setup dialog box lets you add or change a Microsoft Visual FoxPro data source.

Control | Description
Data Source Name | The name you want to use for the data source.
Description | Descriptive qualifiers for the data source.
Database type | The database type to which you want your data source to connect.
Visual FoxPro database (.DBC) | Specifies that the data source connects to a Visual FoxPro database (.dbc file) and all tables and local views in the database.
Free Table directory | Specifies that the data source connects to a directory of free tables. Any database tables in the same directory are ignored by ODBC catalog functions such as SQLColumns or SQLTables. Database tables can be accessed by using SQL SELECT statements sent through SQLExecute and SQLExecDirect.
Path | The path and name for the database or the directory of free tables to which the data source connects.
Browse | Lets you search your system and network for the database or directory to which you want to connect the data source.
Options Expands the dialog box so that you can set the following Visual FoxPro ODBC Driver options:
  • Collating sequence The sequence in which fields are sorted. The default sequences are those supported by your language version of the operating system. For a list of supported collating sequences, see SET COLLATE.

  • Exclusive Select for the driver to open the Microsoft Visual FoxPro database exclusively when you access data using the data source. Other users cannot access the database or the tables in the database while the database is opened exclusively. Tables within the exclusively opened database are opened as SHARED. To open a table exclusively, use the SET EXCLUSIVE command. This check box is disabled when the database type is set to Free Table directory.

  • Null Determines whether columns created with ALTER TABLE and CREATE TABLE allow null values. If you set Null ON, INSERT – SQL inserts a null value into any column not included in an INSERT – SQL… VALUE clause. A blank is inserted if Null is OFF.

  • Deleted Determines whether rows marked as deleted are returned.

  • Fetch data in background Select for records to be fetched in the background (progressive fetching). If not selected, your application will not proceed until all records in the result set have been fetched.

Important Detailed and programmatic information about the Visual FoxPro ODBC Driver is located at msdn.microsoft.com. (Open the MSDN Library Online and then the Platform SDK to find the MDAC SDK, which contains a section called ODBC Drivers.)